Subject: Re: bug#18249: 24.3; expected a button click, text pasted into button label instead

From: Stefan Kangas <[email-masked]>
Date: Fri, 22 Oct 2021 22:40:53 -0700

severity 18249 minor
found 18249 28.0.50
thanks

Mauro Aranda <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Andrea Rossetti <[email-masked]> writes:
>>
>>> GNU Emacs 27.0.50 (build 1, x86_64-w64-mingw32) of 2019-06-09
>>>
>>>   Tentative explanation: if you tested on a Linux workstation, then it
>>> could be a Windows-only problem.
>>
>> Ah, I guess that sounds likely.
>
> [...]
>
>>> Or maybe my step 6b is ambiguous or
>>> hard to follow. Let me retry:
>>>
>>>   Maybe describing 6b more naively may help, let me try:
>>>
>>>   6b) press mouse-2 outside [ciao], drag mouse inside [ciao], release mouse-2.
>>>       Instead of clicking the button, it pastes text inside the button.
>>
>> Yup; I'm not able to reproduce this in GNU/Linux, so somebody with
>> Windows should try to chase down why this happens there.
>
> I am able to reproduce this at will in GNU/Linux, though.

I can reproduce this with current master on Debian stable/bookworm.